import Product from "/src/components/product/Product.vue";
import ProductInfo from "/src/components/product/ProductInfo.vue";
import ProductGallery from "/src/components/product/ProductGallery.vue";

import {formatPrice} from "/src/helpers/money.js";
import {strpHttp} from "/src/helpers/url.js";

const plugin = {
    install,
};

// Auto-install when vue is found (eg. in browser via <script> tag)
let GlobalVue = null;
if (typeof window !== 'undefined') {
    GlobalVue = window.Vue;
} else if (typeof global !== 'undefined') {
    GlobalVue = global.Vue;
}
if (GlobalVue) {
    GlobalVue.use(plugin);
}

export default {
  install(Vue) {
      Vue.component("product", Product);
  }
};
